## org.apache.fop.dom
Class NodeImpl

    java.lang.Object
      |
      +--org.apache.fop.dom.NodeImpl

Direct Known Subclasses:
  CharacterDataImpl, ElementImpl

public class NodeImpl
extends java.lang.Object
implements org.w3c.dom.Node

Field Summary
`protected java.util.Vector` `childs`
`protected org.w3c.dom.Document` `ownerDoc`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`NodeImpl()`

Method Summary
`org.w3c.dom.Node` `appendChild(org.w3c.dom.Node newChild)`
`org.w3c.dom.Node` `cloneNode(boolean deep)`
`org.w3c.dom.NamedNodeMap` `getAttributes()`
`org.w3c.dom.NodeList` `getChildNodes()`
`org.w3c.dom.Node` `getFirstChild()`
`org.w3c.dom.Node` `getLastChild()`
`java.lang.String` `getLocalName()`
`java.lang.String` `getNamespaceURI()`
`org.w3c.dom.Node` `getNextSibling()`
`java.lang.String` `getNodeName()`
`short` `getNodeType()`
`java.lang.String` `getNodeValue()`
`org.w3c.dom.Document` `getOwnerDocument()`
`org.w3c.dom.Node` `getParentNode()`
`java.lang.String` `getPrefix()`
`org.w3c.dom.Node` `getPreviousSibling()`
`java.lang.String` `getTagName()`
`boolean` `hasAttributes()`
`boolean` `hasChildNodes()`
`org.w3c.dom.Node` `insertBefore(org.w3c.dom.Node newChild, org.w3c.dom.Node refChild)`
`boolean` `isSupported(java.lang.String feature, java.lang.String version)`
`void` `normalize()`
`org.w3c.dom.Node` `removeChild(org.w3c.dom.Node oldChild)`
`org.w3c.dom.Node` `replaceChild(org.w3c.dom.Node n, org.w3c.dom.Node no)`
`void` `setNodeValue(java.lang.String nodeValue)`
`void` `setPrefix(java.lang.String prefix)`
`boolean` `supports(java.lang.String feature, java.lang.String version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### childs

    protected java.util.Vector childs

### ownerDoc

    protected org.w3c.dom.Document ownerDoc

Constructor Detail

### NodeImpl

    public NodeImpl()

Method Detail

### replaceChild

    public org.w3c.dom.Node replaceChild(org.w3c.dom.Node n,
                                         org.w3c.dom.Node no)

  Specified by:
    replaceChild in interface org.w3c.dom.Node

### getNodeName

    public java.lang.String getNodeName()

  Specified by:
    getNodeName in interface org.w3c.dom.Node

### getNodeType

    public short getNodeType()

  Specified by:
    getNodeType in interface org.w3c.dom.Node

### getParentNode

    public org.w3c.dom.Node getParentNode()

  Specified by:
    getParentNode in interface org.w3c.dom.Node

### getChildNodes

    public org.w3c.dom.NodeList getChildNodes()

  Specified by:
    getChildNodes in interface org.w3c.dom.Node

### getFirstChild

    public org.w3c.dom.Node getFirstChild()

  Specified by:
    getFirstChild in interface org.w3c.dom.Node

### getLastChild

    public org.w3c.dom.Node getLastChild()

  Specified by:
    getLastChild in interface org.w3c.dom.Node

### getPreviousSibling

    public org.w3c.dom.Node getPreviousSibling()

  Specified by:
    getPreviousSibling in interface org.w3c.dom.Node

### getNextSibling

    public org.w3c.dom.Node getNextSibling()

  Specified by:
    getNextSibling in interface org.w3c.dom.Node

### getAttributes

    public org.w3c.dom.NamedNodeMap getAttributes()

  Specified by:
    getAttributes in interface org.w3c.dom.Node

### getOwnerDocument

    public org.w3c.dom.Document getOwnerDocument()

  Specified by:
    getOwnerDocument in interface org.w3c.dom.Node

### insertBefore

    public org.w3c.dom.Node insertBefore(org.w3c.dom.Node newChild,
                                         org.w3c.dom.Node refChild)
                                  throws org.w3c.dom.DOMException

  Specified by:
    insertBefore in interface org.w3c.dom.Node

### removeChild

    public org.w3c.dom.Node removeChild(org.w3c.dom.Node oldChild)
                                 throws org.w3c.dom.DOMException

  Specified by:
    removeChild in interface org.w3c.dom.Node

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node newChild)
                                 throws org.w3c.dom.DOMException

  Specified by:
    appendChild in interface org.w3c.dom.Node

### hasChildNodes

    public boolean hasChildNodes()

  Specified by:
    hasChildNodes in interface org.w3c.dom.Node

### cloneNode

    public org.w3c.dom.Node cloneNode(boolean deep)

  Specified by:
    cloneNode in interface org.w3c.dom.Node

### normalize

    public void normalize()

  Specified by:
    normalize in interface org.w3c.dom.Node

### supports

    public boolean supports(java.lang.String feature,
                            java.lang.String version)

### isSupported

    public boolean isSupported(java.lang.String feature,
                               java.lang.String version)

  Specified by:
    isSupported in interface org.w3c.dom.Node

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Specified by:
    getNamespaceURI in interface org.w3c.dom.Node

### getPrefix

    public java.lang.String getPrefix()

  Specified by:
    getPrefix in interface org.w3c.dom.Node

### setPrefix

    public void setPrefix(java.lang.String prefix)
                   throws org.w3c.dom.DOMException

  Specified by:
    setPrefix in interface org.w3c.dom.Node

### getLocalName

    public java.lang.String getLocalName()

  Specified by:
    getLocalName in interface org.w3c.dom.Node

### getNodeValue

    public java.lang.String getNodeValue()
                                  throws org.w3c.dom.DOMException

  Specified by:
    getNodeValue in interface org.w3c.dom.Node

### setNodeValue

    public void setNodeValue(java.lang.String nodeValue)
                      throws org.w3c.dom.DOMException

  Specified by:
    setNodeValue in interface org.w3c.dom.Node

### getTagName

    public java.lang.String getTagName()

### hasAttributes

    public boolean hasAttributes()

  Specified by:
    hasAttributes in interface org.w3c.dom.Node

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.